/*
NoFL's Ice tileset

Uses borders:
noflice
noflsnow
noflwater
*/

// base tile
xice01 ( left "noflice" right "noflice" top "noflice" bottom "noflice" );

// water tile
xs01 ( left "noflwater" right "noflwater" top "noflwater" bottom "noflwater" );

// iceberg
xice01s01 ( left "noflwater" right "noflwater" top "noflwater" bottom "noflwater" noauto );

// snow tiles (for convenience)
xsnow01 ( left "noflsnow" right "noflsnow" top "noflsnow" bottom "noflsnow" );
xsnow02 ( left "noflsnow" right "noflsnow" top "noflsnow" bottom "noflsnow" );

// straight shores
xice01s01a ( left "noflice_noflwater" right "noflice_noflwater" top "noflice" bottom "noflwater" );
xice01s01b ( left "noflwater_noflice" right "noflwater_noflice" top "noflwater" bottom "noflice" );
xice01s01c ( left "noflice" right "noflwater" top "noflice_noflwater" bottom "noflice_noflwater" );
xice01s01d ( left "noflwater" right "noflice" top "noflwater_noflice" bottom "noflwater_noflice" );

// concave shores
xice01s01e ( left "noflice" right "noflice_noflwater" top "noflice" bottom "noflice_noflwater" );
xice01s01f ( left "noflice" right "noflwater_noflice" top "noflice_noflwater" bottom "noflice" );
xice01s01g ( left "noflwater_noflice" right "noflice" top "noflwater_noflice" bottom "noflice" );
xice01s01h ( left "noflice_noflwater" right "noflice" top "noflice" bottom "noflwater_noflice" );

// convex shores
xice01s01i ( left "noflice_noflwater" right "noflwater" top "noflice_noflwater" bottom "noflwater" );
xice01s01j ( left "noflwater_noflice" right "noflwater" top "noflwater" bottom "noflice_noflwater" );
xice01s01k ( left "noflwater" right "noflwater_noflice" top "noflwater" bottom "noflwater_noflice" );
xice01s01l ( left "noflwater" right "noflice_noflwater" top "noflwater_noflice" bottom "noflwater" );

// Ice -> Snow transition
// straight lines
xice01snow01a ( left "noflsnow_noflice" right "noflsnow_noflice" top "noflsnow" bottom "noflice" );
xice01snow01b ( left "noflice_noflsnow" right "noflice_noflsnow" top "noflice" bottom "noflsnow" );
xice01snow01c ( left "noflsnow" right "noflice" top "noflsnow_noflice" bottom "noflsnow_noflice" );
xice01snow01d ( left "noflice" right "noflsnow" top "noflice_noflsnow" bottom "noflice_noflsnow" );

// concave lines
xice01snow01e ( left "noflsnow" right "noflsnow_noflice" top "noflsnow" bottom "noflsnow_noflice" );
xice01snow01f ( left "noflsnow" right "noflice_noflsnow" top "noflsnow_noflice" bottom "noflsnow" );
xice01snow01g ( left "noflice_noflsnow" right "noflsnow" top "noflice_noflsnow" bottom "noflsnow" );
xice01snow01h ( left "noflsnow_noflice" right "noflsnow" top "noflsnow" bottom "noflice_noflsnow" );

// convex lines
xice01snow01i ( left "noflsnow_noflice" right "noflice" top "noflsnow_noflice" bottom "noflice" );
xice01snow01j ( left "noflice_noflsnow" right "noflice" top "noflice" bottom "noflsnow_noflice" );
xice01snow01k ( left "noflice" right "noflice_noflsnow" top "noflice" bottom "noflice_noflsnow" );
xice01snow01l ( left "noflice" right "noflsnow_noflice" top "noflice_noflsnow" bottom "noflice" );
